Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.servlet
Class DebugFilter

    java.lang.Object
      org.apache.cocoon.servlet.DebugFilter

All Implemented Interfaces:
  Filter

    public class DebugFilter

extends Object
implements Filter

Servlet filter for printing request debug information into log file.

Version:
  $Id: DebugFilter.java 697072 2008-09-19 12:46:22Z reinhard $

Field Summary
`protected static String` | `lineSeparator`

Constructor Summary
`DebugFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(ServletRequest req, ServletResponse res, FilterChain filterChain)` Log debug information about the current environment.
`void` | `init(FilterConfig config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lineSeparator

    protected static final String lineSeparator

See Also:
  Constant Field Values

Constructor Detail

### DebugFilter

    public DebugFilter()

Method Detail

### init

    public void init(FilterConfig config)
              throws ServletException

  Specified by:
    `init` in interface `Filter`
  Throws:
    `ServletException`
  See Also:
    `Filter.init(javax.servlet.FilterConfig)`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Filter`
  See Also:
    `Filter.destroy()`

### doFilter

    public void doFilter(ServletRequest req,
                         ServletResponse res,
                         FilterChain filterChain)
                  throws IOException,
                         ServletException

  Log debug information about the current environment.

  Specified by:
    `doFilter` in interface `Filter`
  Throws:
    `IOException`
    `ServletException`
  See Also:
    `Filter.doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.